This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 825084 - glusterfsd crashed
glusterfsd crashed
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
3.3-beta
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Junaid
: Triaged
Depends On:
Blocks: 848239
  Show dependency treegraph
 
Reported: 2012-05-25 00:35 EDT by Shwetha Panduranga
Modified: 2013-10-29 22:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848239 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:57:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Backtrace of core (4.45 KB, application/octet-stream)
2012-05-25 00:35 EDT, Shwetha Panduranga
no flags Details

  None (edit)
Description Shwetha Panduranga 2012-05-25 00:35:03 EDT
Created attachment 586753 [details]
Backtrace of core

Description of problem:
-------------------------

Core was generated by `/usr/local/sbin/glusterfsd -s localhost --volfile-id dstore.192.168.2.35.export'.
Program terminated with signal 6, Aborted.
#0  0x0000003638632885 in raise () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install glibc-2.12-1.47.el6.x86_64 libgcc-4.4.6-3.el6.x86_64 openssl-1.0.0-20.el6_2.3.x86_64 zlib-1.2.3-27.el6.x86_64
(gdb) bt
#0  0x0000003638632885 in raise () from /lib64/libc.so.6
#1  0x0000003638634065 in abort () from /lib64/libc.so.6
#2  0x000000363862b9fe in __assert_fail_base () from /lib64/libc.so.6
#3  0x000000363862bac0 in __assert_fail () from /lib64/libc.so.6
#4  0x00007fb8e4ead75a in mq_fetch_child_size_and_contri (frame=0x7fb8e8b29738, cookie=0x7fb8e8cf761c, this=0x1fc0970, op_ret=0, op_errno=0, xdata=0x0)
    at marker-quota.c:1790
#5  0x00007fb8e9eb11dd in default_setxattr_cbk (frame=0x7fb8e8cf761c, cookie=0x7fb8e8d04f20, this=0x1fbf680, op_ret=0, op_errno=0, xdata=0x0) at defaults.c:284
#6  0x00007fb8e52d1f54 in iot_setxattr_cbk (frame=0x7fb8e8d04f20, cookie=0x7fb8e8cffa78, this=0x1fbe4b0, op_ret=0, op_errno=0, xdata=0x0) at io-threads.c:1627
#7  0x00007fb8e9eb11dd in default_setxattr_cbk (frame=0x7fb8e8cffa78, cookie=0x7fb8e8cf990c, this=0x1fbd2d0, op_ret=0, op_errno=0, xdata=0x0) at defaults.c:284
#8  0x00007fb8e57083c5 in posix_acl_setxattr_cbk (frame=0x7fb8e8cf990c, cookie=0x7fb8e8cfe0f0, this=0x1fbc120, op_ret=0, op_errno=0, xdata=0x0) at posix-acl.c:1802
#9  0x00007fb8e5922e12 in posix_setxattr (frame=0x7fb8e8cfe0f0, this=0x1fbad00, loc=0x7fb8e89cf674, dict=0x7fb8e8953140, flags=0, xdata=0x0) at posix.c:2417
#10 0x00007fb8e5708674 in posix_acl_setxattr (frame=0x7fb8e8cf990c, this=0x1fbc120, loc=0x7fb8e89cf674, xattr=0x7fb8e8953140, flags=0, xdata=0x0) at posix-acl.c:1821
#11 0x00007fb8e9eb94fd in default_setxattr (frame=0x7fb8e8cffa78, this=0x1fbd2d0, loc=0x7fb8e89cf674, dict=0x7fb8e8953140, flags=0, xdata=0x0) at defaults.c:889
#12 0x00007fb8e52d21b9 in iot_setxattr_wrapper (frame=0x7fb8e8d04f20, this=0x1fbe4b0, loc=0x7fb8e89cf674, dict=0x7fb8e8953140, flags=0, xdata=0x0)
    at io-threads.c:1636
#13 0x00007fb8e9ed348b in call_resume_wind (stub=0x7fb8e89cf634) at call-stub.c:2531
#14 0x00007fb8e9edaf6a in call_resume (stub=0x7fb8e89cf634) at call-stub.c:4151
#15 0x00007fb8e52c78d6 in iot_worker (data=0x1fd51a0) at io-threads.c:131
#16 0x0000003638a077f1 in start_thread () from /lib64/libpthread.so.0
#17 0x00000036386e570d in clone () from /lib64/libc.so.6

(gdb) f 4
#4  0x00007fb8e4ead75a in mq_fetch_child_size_and_contri (frame=0x7fb8e8b29738, cookie=0x7fb8e8cf761c, this=0x1fc0970, op_ret=0, op_errno=0, xdata=0x0)
    at marker-quota.c:1790
1790	        GF_UUID_ASSERT (local->loc.gfid);



Version-Release number of selected component (if applicable):
-----------------------------------------------------------
3.3.0qa42
Comment 1 Junaid 2012-06-26 07:48:02 EDT
Its not reproducible on my setup.

Shwetha,

Can you reproduce it on the new release?
Comment 2 Amar Tumballi 2013-01-11 02:53:04 EST
considering comment #1, giving fixed-in-version as glusterfs-3.4.0qa5

Note You need to log in before you can comment on or make changes to this bug.